#ifndef DEBUGITEM_H
#define DEBUGITEM_H

#include <QObject>

class DebugItem : public QObject
{
    Q_OBJECT
public:
    explicit DebugItem(QObject *parent = 0);

    ~DebugItem();

public:
    DebugItem(const DebugItem & item);
    DebugItem & operator= (const DebugItem & item);

public:
    void clean();

private:
    void copyData(const DebugItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_enumFunction;     // 对应的事件的枚举值

signals:

public slots:
};

#endif // DEBUGITEM_H
