#ifndef BROKENLINEDIALOG_H
#define BROKENLINEDIALOG_H

#include <QWidget>
#include <QDir>
#include <QMouseEvent>
#include "promptdialog.h"
#include "mybutton.h"
#include "setcontrolstyle.h"
#include "datafile/datafiledst.h"
#include "datafile/datafiledsr.h"
#include <QDateTime>
namespace Ui {
class BrokenLineDialog;
}

class BrokenLineDialog : public QWidget
{
    Q_OBJECT

public:
    explicit BrokenLineDialog(QWidget *parent = 0);
    ~BrokenLineDialog();

private slots:

    void on_buttonOk_clicked();
private:
    Ui::BrokenLineDialog *ui;

private:
    void initWidget();
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();//初始化窗体控件为1024x600分辨率
    void initControlStyle();//初始化窗体控件样式

public:
     //int m_flag= 0;
     void setTitleStr(QString str);//设置标题
     void setContentInfoStr(QString str);//设置内容
      void setContentStr(QString str);//设置内容
     void show(int flag=0);
};

#endif // BROKENLINEDIALOG_H


